c julian_wrapf.f
c
c This function is the wrapper routine called by IDL
c
      INTEGER*4 FUNCTION julian_wrapf(argc, argv)
      IMPLICIT NONE
c
c The declaration below is integer*8 for machines with
c 64-bit address spaces and integer*4 for 32-bit
c
      INTEGER*8 argc, argv(*)
c
c Call The Fortran Routine:
c julian(month,day,year,hour,minute,second,ierr,date)
c
      CALL julian(%val(argv(1)), %val(argv(2)), %val(argv(3)),
     & %val(argv(4)), %val(argv(5)), %val(argv(6)), %val(argv(7)),
     & %val(argv(8)))
c
c Give the function vecadd a value for return to IDL, this
c facilitates the checking of whether the routine executes.
c
      julian_wrapf=1
c
      END
